Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 495322 - Review Request: python-cmd2 - Enhancements for Python's cmd module
Summary: Review Request: python-cmd2 - Enhancements for Python's cmd module
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Simon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 495324
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-04-11 21:37 UTC by Silas Sewell
Modified: 2009-09-24 22:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-10 06:00:18 UTC


Attachments (Terms of Use)

Description Silas Sewell 2009-04-11 21:37:09 UTC
Spec URL: http://silassewell.googlecode.com/svn/trunk/projects/packages/rpms/python-cmd2/python-cmd2.spec

SRPM URL: http://silassewell.googlecode.com/files/python-cmd2-0.5.2-1.fc10.src.rpm

Description: A drop-in replacement for Python's cmd which adds several features for command-prompt tools:
 * Searchable command history (commands: "hi", "li", "run")
 * Load commands from file, save to file, edit commands in file
 * Multi-line commands
 * Case-insensitive commands
 * Special-character shortcut commands (beyond cmd's "@" and "!")
 * Settable environment parameters
 * Parsing commands with flags
 * > (filename), >> (filename) redirect output to file
 * < (filename) gets input from file
 * bare >, >>, < redirect to/from paste buffer
 * accepts abbreviated commands when unambiguous
 * py enters interactive Python console
 * test apps against sample session transcript (see example/example.py)

rpmlint

[silas@silas result]$ rpmlint python-cmd2-0.5.2-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[silas@silas result]$ rpmlint python-cmd2-0.5.2-1.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Silas Sewell 2009-04-11 22:05:07 UTC
After reviewing this package I found some errors which need to be addressed before it should be included in Fedora.

Sorry for the noise.

Comment 2 Simon 2009-04-11 22:14:35 UTC
please reopen it if you fixed these.

Comment 3 Silas Sewell 2009-04-11 22:56:36 UTC
Finally figured it out, dependency bug filed.

Comment 4 Simon 2009-04-12 07:14:14 UTC
k, i will review it after pyparsing 1.5.1 is available for rawhide!

Comment 5 Silas Sewell 2009-06-10 06:00:18 UTC
I've decided to use python-cly and I'm not interested in pursuing this package.

I'll keep the SRPM/SPEC available if anyone would like to take it over.

Closing.


Note You need to log in before you can comment on or make changes to this bug.